#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

# filter out some bogues devel() requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(libKF6BalooEngine

%define rel 1
%define framework baloo

Summary:        Baloo is a framework for searching and managing metadata
Name:           %framework
Version: 6.3.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
Source1:        97-kde-baloo-filewatch-inotify.conf

BuildRequires:  kf6-rpm-macros
BuildRequires:  lmdb-devel

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6IdleTime) >= %version
BuildRequires:  cmake(KF6Auth) >= %version
BuildRequires:  cmake(KF6Crash) >= %version
BuildRequires:  cmake(KF6Solid) >= %version
BuildRequires:  cmake(KF6KIO) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6FileMetaData) >= %version

Requires:       baloo-kioslaves = %{version}-%{release}


%description
Baloo is a framework for searching and managing metadata.

%files  -f %name.lang
%_kf6_sysconfdir/xdg/autostart/baloo_file.desktop
%_kf6_categoriesdir/baloo.*categories
%_kf6_bindir/balooctl6
%_kf6_bindir/baloosearch6
%_kf6_bindir/balooshow6
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.main.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
%_kf6_qmldir/org/kde/baloo
%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf
%_userunitdir/kde-baloo.service
%_kf6_libexecdir/baloo_file
%_kf6_libexecdir/baloo_file_extractor

#--------------------------------------------------------------------

%package kioslaves
Summary:        KIO slave components for Baloo Framework
Group:          System/Base
Requires:       kded

# ease upgrade
Conflicts:      baloo < 6.0.0-2

%description kioslaves
Baloo is a framework for searching and managing metadata.
This package contains KIO slave components.

%files kioslaves -f kioslaves.lang
%_kf6_plugindir/kded/*.so
%_kf6_plugindir/kio/*.so

#--------------------------------------------------------------------

%define kf6baloo_major 6
%define libkf6baloo %mklibname kf6baloo %{kf6baloo_major}

%package -n %libkf6baloo
Summary:        Baloo is a framework for searching and managing metadata
Group:          System/Libraries

%description -n %libkf6baloo
Baloo is a framework for searching and managing metadata.

%files -n %libkf6baloo
%_kf6_libdir/libKF6Baloo.so.%{kf6baloo_major}{,.*}
%_kf6_libdir/libKF6Baloo.so.%{version}

#--------------------------------------------------------------------

%define kf6balooengine_major 6
%define libkf6balooengine %mklibname kf6balooengine %{kf6balooengine_major}

%package -n %libkf6balooengine
Summary:        Baloo is a framework for searching and managing metadata
Group:          System/Libraries

%description -n %libkf6balooengine
Baloo is a framework for searching and managing metadata.

%files -n %libkf6balooengine
%_kf6_libdir/libKF6BalooEngine.so.%{kf6balooengine_major}{,.*}
%_kf6_libdir/libKF6BalooEngine.so.%{version}

#--------------------------------------------------------------------

%define baloo_devel %mklibname kf6baloo -d

%package -n %baloo_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf6baloo = %version-%release
Requires:       %libkf6balooengine = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %baloo_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %baloo_devel
%_kf6_includedir/Baloo/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6Baloo/
%_kf6_libdir/pkgconfig/KF6Baloo.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %framework-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

install -p -m644 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf

%find_lang baloo_file_extractor6
cat baloo_file_extractor6.lang >> %{name}.lang
%find_lang baloo_file6
cat baloo_file6.lang >> %{name}.lang
%find_lang balooctl6
cat balooctl6.lang >> %{name}.lang
%find_lang baloodb6
cat baloodb6.lang >> %{name}.lang
%find_lang balooengine6
cat balooengine6.lang >> %{name}.lang
%find_lang baloosearch6
cat baloosearch6.lang >> %{name}.lang
%find_lang balooshow6
cat balooshow6.lang >> %{name}.lang

%find_lang kio6_baloosearch
cat kio6_baloosearch.lang >> kioslaves.lang
%find_lang kio6_tags
cat kio6_tags.lang >> kioslaves.lang
%find_lang kio6_timeline
cat kio6_timeline.lang >> kioslaves.lang


%changelog
* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070510
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063365
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056799
- New version 6.1.0

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.0-2.mga10
+ Revision: 2049234
- split out in a separate sub-package the baloo kioslaves components (mga#32845)

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044897
- New version 6.0.0
- New version 6.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037457
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029549
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025582
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005996
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998933
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987325
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952007
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947816
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941317
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1934972
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922214
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911587
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900191
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887626
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880574
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871673
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853193
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848256
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754801
- New version 5.88.0

* Wed Oct 06 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749713
- New version 5.87.0
- New version 5.86.0
- New version 5.86.0
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723821
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714821
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1701999
- New version 5.80.0

* Fri Feb 26 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1692124
- New version 5.79.0

* Fri Jan 08 2021 daviddavid <daviddavid> 5.76.0-2.mga8
+ Revision: 1669808
- add upstream patch to strip trailing slash from folders
  * KDE-Bug: https://bugs.kde.org/show_bug.cgi?id=430273
- add upstream patch to avoid errors for application startup if no baloo
  index was ever created

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653304
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633158
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625572
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612833
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603063
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592757
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581983
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566474
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556650
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546801
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1487160
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466198
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457583
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450964
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444779
- New version 5.62.0
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-3.mga8
+ Revision: 1424276
- fix devel and main library pkg-name

* Fri Jul 12 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1420610
- rebuild for arm

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420566
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386907
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1381300
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374534
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364509
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356632
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339188
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318935
- New version 5.51.0
- New version 5.50.0

* Fri Sep 21 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1295261
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247285
- New version 5.49.0

* Tue Jun 19 2018 akien <akien> 5.46.0-3.mga7
+ Revision: 1238118
- Revert previous commit, baloo-widgets should actually be a dep of libkf5baloowidgets5

* Mon Jun 18 2018 akien <akien> 5.46.0-2.mga7
+ Revision: 1237751
- Require baloo-widgets for metadata extraction with indexing disabled (mga#23194)

* Sat May 19 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230484
- New version 5.46.0

* Tue Jan 16 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1193767
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182305
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161211
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140373
- New version 5.37.0

* Tue Aug 01 2017 pterjan <pterjan> 5.36.0-2.mga7
+ Revision: 1133626
- Fix for new find_lang

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123474
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089415
- Rebuild for armv5

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088937
- New version 5.32.0

* Mon Dec 26 2016 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1078111
- Rebuild for arm

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074508
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072169
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058328
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050505
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049270
- rebuild to make available on armv5

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045083
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041305
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021904
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014314
- New version 5.22.0

* Wed Apr 13 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1000930
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986302
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942223
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921257
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913077
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909873
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900665
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899547
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898902
- New version 5.16.0

* Sun Oct 11 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 889695
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-2.mga6
+ Revision: 881912
+ rebuild (emptylog)

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881694
- New version 5.14.0

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-3.mga6
+ Revision: 863518
- Make baloo-devel requires baloo

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 863502
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863301
- New version 5.13.0
- New version 5.13.0

* Sun Aug 09 2015 neoclust <neoclust> 5.9.1-5.mga6
+ Revision: 861693
- Fix file lists

* Fri Jul 31 2015 neoclust <neoclust> 5.9.1-4.mga6
+ Revision: 859879
- Rebuild because of kf5-kfilemetadata-devel renaming

* Mon Jul 20 2015 neoclust <neoclust> 5.9.1-3.mga6
+ Revision: 855563
- Add conflicts to ease upgrade

* Thu Jul 09 2015 neoclust <neoclust> 5.9.1-2.mga6
+ Revision: 853004
- Rebuild with  new name
- Rename and use baloo by default
- Rename

* Thu Jul 02 2015 neoclust <neoclust> 5.9.1-1.mga6
+ Revision: 849522
- New version 5.9.1

* Mon Feb 23 2015 lmenut <lmenut> 5.1.2-2.mga5
+ Revision: 816628
- add version to conflicts

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804144
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793587
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 739663
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 687638
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663898
- Rename to plasma5-baloo
- Do not use kf5 in the name as this is not a framework

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662146
- New version 5.0.1

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653362
- imported package kf5-baloo

